import request from '@/utils/request'

//首页基本情况
export function getPopulationList() {
  return request({
    url: '/subcontract/comprehensiveReform/populationList',
    method: 'get',
  })
}

//农户厕所
export function restroomList() {
  return request({
    url: '/subcontract/comprehensiveReform/restroomList',
    method: 'get',
  })
}

//垃圾收集点
export function collectionList() {
  return request({
    url: '/subcontract/comprehensiveReform/collectionList',
    method: 'get',
  })
}

//公共厕所
export function toiletList() {
  return request({
    url: '/subcontract/comprehensiveReform/toiletList',
    method: 'get',
  })
}

//污水处理器
export function treatmentList() {
  return request({
    url: '/subcontract/comprehensiveReform/treatmentList',
    method: 'get',
  })
}

//乡村治理-基本情况
export function partyMemberTotal() {
  return request({
    url: '/subcontract/comprehensiveReform/partyMemberTotal',
    method: 'get',
  })
}

//乡村治理-党组织情况
export function partyOrganizationSituation() {
  return request({
    url: '/subcontract/comprehensiveReform/partyOrganizationSituation',
    method: 'get',
  })
}

//乡村治理-网格化管理
export function gridManageTotal() {
  return request({
    url: '/subcontract/comprehensiveReform/gridManageTotal',
    method: 'get',
  })
}

//乡村治理-网格化管理
export function gridManageLook(id) {
  return request({
    url: '/subcontract/comprehensiveReform/gridManageLook/'+id,
    method: 'get',
  })
}

//乡村治理-三务公开-基本情况
export function basicSituation() {
  return request({
    url: '/subcontract/basicSituation/list',
    method: 'get',
  })
}

//乡村治理-党务政务村务
export function affairs() {
  return request({
    url: '/service/affairs/list',
    method: 'get',
  })
}

//乡村治理-三务公开-村两委情况
export function villageManagement() {
  return request({
    url: '/subcontract/villageManagement/list',
    method: 'get',
  })
}

//附件列表
export function getAttachment(id) {
  return request({
    url: '/service/affairs/getAttachment/'+id,
    method: 'get',
  })
}

//乡村治理-投诉建议
export function sysAdviceTotal(query) {
  return request({
    url: '/service/advice/sysAdviceTotal',
    method: 'get',
    params: query
  })
}

// 查询投诉建议详细
export function getAdvice(id) {
  return request({
    url: '/service/advice/getInfoall/' + id,
    method: 'get'
  })
}

//天气接口
export function weatherInfo() {
  return request({
    url: '/bigData/common/weatherInfo',
    method: 'get'
  })
}

//实时状态
export function stateStatisticalTotal() {
  return request({
    url: '/subcontract/comprehensiveReform/stateStatisticalTotal',
    method: 'get'
  })
}

//综合改革-土地确权基本情况
export function approval() {
  return request({
    url: '/subcontract/comprehensiveReform/approval',
    method: 'get'
  })
}

//党员数量
export function partyHzTotal() {
  return request({
    url: '/subcontract/comprehensiveReform/partyHzTotal',
    method: 'get'
  })
}

//综合改革- 宅基地-基本情况
export function houseStats() {
  return request({
    url: '/subcontract/comprehensiveReform/houseStats',
    method: 'get'
  })
}

//综合改革- 宅基地-闲置情况
export function idleStatistics() {
  return request({
    url: '/subcontract/comprehensiveReform/idleStatistics',
    method: 'get'
  })
}

//综合改革- 宅基地-违法违规
export function illegal() {
  return request({
    url: '/subcontract/comprehensiveReform/illegal',
    method: 'get'
  })
}

//经营收入
export function operatingIncome(year) {
  return request({
    url: '/subcontract/comprehensiveReform/operatingIncome/'+year,
    method: 'get'
  })
}

//地图加载--人居环境公厕
export function tHzPublicToiletList() {
  return request({
    url: '/subcontract/comprehensiveReform/tHzPublicToiletList',
    method: 'get',
  })
}

//地图加载--人居环境公厕详情
export function theGeomPublicToilet(id) {
  return request({
    url: '/subcontract/comprehensiveReform/theGeomPublicToilet/'+id,
    method: 'get',
  })
}

//收支情况：收入
export function income() {
  return request({
    url: '/subcontract/comprehensiveReform/income',
    method: 'get'
  })
}

//收支情况：支出
export function expenditure() {
  return request({
    url: '/subcontract/comprehensiveReform/expenditure',
    method: 'get'
  })
}

//资金赤字
export function deficit() {
  return request({
    url: '/subcontract/comprehensiveReform/deficit',
    method: 'get'
  })
}

//大额资金
export function majorFunds(year) {
  return request({
    url: '/subcontract/comprehensiveReform/majorFunds/'+year,
    method: 'get'
  })
}

//记账进度
export function bookProgress() {
  return request({
    url: '/subcontract/comprehensiveReform/bookProgress',
    method: 'get'
  })
}

//资产无合同
export function noContractAssets() {
  return request({
    url: '/subcontract/comprehensiveReform/noContractAssets',
    method: 'get'
  })
}

//合同到期
export function expiredContract() {
  return request({
    url: '/subcontract/comprehensiveReform/expiredContract',
    method: 'get'
  })
}

//基本情况
export function performance() {
  return request({
    url: '/subcontract/comprehensiveReform/performance',
    method: 'get'
  })
}

//地图加载--人居环境污水处理
export function tHzSewageTreatmentList() {
  return request({
    url: '/subcontract/comprehensiveReform/tHzSewageTreatmentList',
    method: 'get',
  })
}

//地图加载--人居环境污水处理详情
export function theGeomSewageTreatment(id) {
  return request({
    url: '/subcontract/comprehensiveReform/theGeomSewageTreatment/'+id,
    method: 'get',
  })
}

//地图加载--人居环境垃圾收集点
export function tHzGarbageCollectionList() {
  return request({
    url: '/subcontract/comprehensiveReform/tHzGarbageCollectionList',
    method: 'get',
  })
}

//地图加载--人居环境垃圾收集点详情
export function tHzGarbageCollection(id) {
  return request({
    url: '/subcontract/comprehensiveReform/tHzGarbageCollection/'+id,
    method: 'get',
  })
}

//乡村治理-天气接口-周天气
export function weatherWeeksInfo() {
  return request({
    url: '/subcontract/comprehensiveReform/weatherWeeksInfo',
    method: 'get',
  })
}

//宅基地地图显示接口
export function tHouseBaseZjdList() {
  return request({
    url: '/subcontract/comprehensiveReform/tHouseBaseZjdList',
    method: 'get',
  })
}

//查询土地确权地块位置
export function dkList() {
  return request({
    url: '/subcontract/comprehensiveReform/dkList',
    method: 'get',
  })
}

//查询宅基地详细地块信息
export function zjdById(id) {
  return request({
    url: '/subcontract/comprehensiveReform/zjdById/'+id,
    method: 'get',
  })
}

//查询平安乡村设备查询
export function peaceCountryList() {
  return request({
    url: '/subcontract/comprehensiveReform/peaceCountryList',
    method: 'get',
  })
}

//首页- 宅基地审批
export function houseExamination() {
  return request({
    url: '/subcontract/comprehensiveReform/houseExamination',
    method: 'get',
  })
}

//综合改革- 土地确权统计
export function madeByStatistical() {
  return request({
    url: '/subcontract/comprehensiveReform/madeByStatistical',
    method: 'get',
  })
}

//综合改革- 确权户数统计
export function approvalNumber() {
  return request({
    url: '/subcontract/comprehensiveReform/approvalNumber',
    method: 'get',
  })
}

//综合改革- 确权户数统计
export function houseList() {
  return request({
    url: '/subcontract/comprehensiveReform/houseList',
    method: 'get',
  })
}

//查询平安乡村地块信息
export function getPeaceCountry(id) {
  return request({
    url: '/subcontract/comprehensiveReform/getPeaceCountry/'+id,
    method: 'get',
  })
}

//合作社位置查询
export function getTGeoOrganization() {
  return request({
    url: '/subcontract/comprehensiveReform/getTGeoOrganization',
    method: 'get',
  })
}

//查询平安乡村地块信息
export function nhbmId(nhdm) {
  return request({
    url: '/subcontract/comprehensiveReform/nhbmId/'+nhdm,
    method: 'get',
  })
}

//土地确权  根据农户姓名查承包地
export function dkNhList(nhxm) {
  return request({
    url: '/subcontract/comprehensiveReform/dkNhList/'+nhxm,
    method: 'get',
  })
}
